<%@ Language=VBScript %>
<%
'*******************************************************************
'* Program : Power-Stats | www.power-stats.com
'* Version : 1.0
'* Authors : Ricardo Lerch, Rodrigo Alhadeff  |  authors@power-stats.com
'* Date    : March-2004
'* Details : Report script, Last 200 Logs RAW Data
'*           
'*******************************************************************
pMetaTitle="Power-Stats Report Last 200 Logs RAW Data"
pMetaDescription="Power-Stats Last 200 Logs RAW Data"
pMetaKeyWords="Power-Stats, web statistics report, RAW"
%>
<!--#include file="power-stats-adminVerify.asp"--> 
<!--#include virtual="/power-stats/includes/settings.asp"--> 
<!--#include virtual="/power-stats/includes/databaseFunctions.asp"--> 
<!--#include virtual="/power-stats/includes/stringFunctions.asp"--> 
<!--#include virtual="/power-stats/includes/miscFunctions.asp"--> 

<!--#include file="power-stats-header.asp"-->
<%

dim mySQL, connTemp, rstemp


pidSite	= session("idSite")
pSiteName=session("SiteName")
'Get date data

pDateFrom=session("DateFrom")
pDateTo=session("DateTo")

pDay = Day(pDateTo)
pMonth = Month(pDateTo)
pYear = Year(pDateTo)


%><!--#include file="power-stats-inc-SqlSwitch.asp"--><%


'get last id from logs for DateTo
mySQL="SELECT " & replace(pTopForSQL, "200", "1") & " idLog "
mySQL=mySQL & " FROM logs WHERE "
mySQL=mySQL & " logYear=" & pYear & " AND logMonth=" & pMonth & " AND logDay=" & pDay   
mySQL=mySQL & " ORDER BY idLog DESC "
mySQL=mySQL & replace(pTopForMySQL, "200", "1")
'debug only
'Response.Write mySQL & "<br><br>"

call getFromDatabase(mySQL, rstemp, "power-stats-report-raw.asp")

if not rstemp.EOF then
	pLastidLog=rstemp("idLog")
else
	pLastidLog=9999999
end if

'debug only
'Response.Write pLastidLog & "<br><br>"



mySQL="SELECT " & pTopForSQL
'check server's date configuration
If cint(day("1/2/2000")) = 1 then 'Format is D-M-Y
	mySQL = mySQL & " logDay, logMonth, "
else 'Format is M-D-Y
	mySQL = mySQL & " logMonth, logDay, "
end if
mySQL = mySQL & " logYear, logTime, locationURL, referrer, UserIP FROM logs "
mySQL = mySQL & " WHERE idSite=" & pidSite 
mySQL = mySQL & " AND idLog<" & pLastidLog & " "
		
mySQL = mySQL & " ORDER BY idLog DESC"
mySQL = mySQL & " " & pTopForMySQL

'debug only
'Response.Write mySQL

call getFromDatabase(mySQL, rstemp, "power-stats-report-raw.asp")


ColCount = rstemp.fields.count


%>
<!--#include file="power-stats-inc-DisplayFilterInfo.asp"-->
<br>
<center>
<table id="tableResults" cellspacing="0" cellpadding="0">
<tr><td id="tdResultsHeader" colspan="5"></td></tr>
<tr><td id="tdResultsTitle" colspan="5">Last 200 Views RAW Data</td></tr>
<tr><td id="tdResultsSubTitle" colspan="5">This table shows the last 200 clicks on the entire site, as RAW data</td></tr>
<tr><td id="tdResultsText" colspan="5"></td></tr>

<tr>
<td id="tdResultsColumnHeader">Date</td>
<td id="tdResultsColumnHeader">Time</td>
<td id="tdResultsColumnHeader">Working URL</td>
<td id="tdResultsColumnHeader">Referrer URL</td>
<td id="tdResultsColumnHeader">User IP</td>
</tr>


<%
			tdRow = 1
			do while not rstemp.EOF
				tdRow = tdRow * -1
				Response.Write "<tr>"
				Response.Write "<td id='tdResultsLine" &tdRow& "'>" & rstemp(0) & "/" & rstemp(1) & "/" & rstemp(2) & "&nbsp;</td>"
				Response.Write "<td id='tdResultsLine" &tdRow& "'>" & rstemp("logTime") & "</td>"
				Response.Write "<td id='tdResultsLine" &tdRow& "'><a href='" & rstemp("locationURL") & "'>" & rstemp("locationURL") &  "</a>&nbsp;</td>"
				Response.Write "<td id='tdResultsLine" &tdRow& "'><a href='" & rstemp("referrer") & "'>" & rstemp("referrer") &  "</a>&nbsp;</td>"
				Response.Write "<td id='tdResultsLine" &tdRow& "'>" & rstemp("UserIP") & "</td>"
				Response.Write "</tr>"
				rstemp.movenext
			loop

%>
  
<tr><td id="tdResultsFooter" colspan="5"></td></tr>
  
</table>
</center>

<br><br>  


    
<!--#include file="power-stats-footer.asp"-->