<%@ Language=VBScript %>
<%
'*******************************************************************
'* Program : Power-Stats | www.power-stats.com
'* Version : 1.0
'* Authors : Ricardo Lerch, Rodrigo Alhadeff  |  authors@power-stats.com
'* Date    : March-2004
'* Details : Search Engines Report
'*           parameters: GroupBy can be d m yyyy
'* Demo version
'*******************************************************************
%>
<%
pMetaTitle="Power-Stats Search Engines Report"
pMetaDescription="Power-Stats Search Engines Report"
pMetaKeyWords=""
%>   

<!--#include file="power-stats-adminVerify.asp"--> 
<!--#include virtual="/power-stats/includes/settings.asp"-->    
<!--#include virtual="/power-stats/includes/databaseFunctions.asp"-->    
<!--#include virtual="/power-stats/graphicfunctions/graphicFunctions.asp"-->
<!--#include virtual="/power-stats/includes/stringFunctions.asp"--> 
<!--#include virtual="/power-stats/includes/miscFunctions.asp"--> 

<!--#include file="power-stats-header.asp"-->



<% 
 on error resume next 

dim mySQL, connTemp, rstemp


pidSite	= session("idSite")
pSiteName=session("SiteName")

'Get date data

pDateFrom=session("DateFrom")
pDateTo=session("DateTo")


pGroupBy=getUserInput(Request("GroupBy"),4)

'defaults
if pGroupBy ="" then pGroupBy="m"

if not Request("DateTo")="" then pDateTo=getUserInput(Request("DateTo"),20) 'else use session


select case pGroupBy
	case "h" 
		pGroupName="Hour" & " " & pDateTo
	case "d"
		pGroupName="Day" & " " & pDateTo
	case "ww"
		pGroupName="Week" & "  week " & datepart("ww",pDateTo) & " of "  & datepart("yyyy",pDateTo) 
	case "m" 
		pGroupName="Month" & "  " & datepart("m", pDateTo) & " of "  & datepart("yyyy",pDateTo)
	case "q"
		pGroupName="Quarter" & "  qt " & datepart("q",pDateTo) & " of "  & datepart("yyyy",pDateTo)
	case "yyyy" 
		pGroupName="Year" & " " & datepart("yyyy",pDateTo)
end select 



'Graphic Variables
gW = 700
gH = 200


gLayers=1 'one layer
gValuesCount=10 

gMaxVal=0
gMinVal=0


dim gValuesX()
dim gValuesY()
dim gTypes()
dim gLegends()
	
redim gValuesX(gValuesCount)
redim gValuesY(gValuesCount*gLayers)
redim gTypes(gLayers)
redim gLegends(gValuesCount)



'ResultsTable Array
dim arrResultsTable()

pQtyPeriods=210 'How many URL will be shown
ColCount=3 'qty of columns on the final report
RowCount=pQtyPeriods 'qty of Rows on the final report
redim arrResultsTable(ColCount, RowCount)

pTotalSumatory=0

'*****************************************************
'Get most requested pages

	pPeriodValue=0
	
	pDay = Day(pDateTo)
	pMonth = Month(pDateTo)
	pYear = Year(pDateTo)
	

		'****************************************************
		' Generate SQL Query to get views for an specific period
		%><!--#include file="power-stats-inc-SqlSwitch.asp"--><%
		
		mySQL = "SELECT " & pTopForSQL & " Count(searchEngine) AS pCount, searchEngine as CountedData"
		mySQL = mySQL &	" FROM logs " 		
		mySQL = mySQL &	" WHERE( (idSite=" & pidSite & ") "
		
		if  pGroupBy="h" or pGroupBy="d" or pGroupBy="ww" or pGroupBy="m" or pGroupBy="q" or pGroupBy="yyyy" then
			mySQL = mySQL &	" AND (logYear=" & pYear & ") "
		end if
		if  pGroupBy="h" or pGroupBy="d" or pGroupBy="ww" or pGroupBy="m" or pGroupBy="q" then
			mySQL = mySQL &	" AND (logMonth=" & pMonth & ") "
		end if		
		if  pGroupBy="h" or pGroupBy="d" or pGroupBy="ww" then
			mySQL = mySQL &	"  AND (logDay=" & pDay & ") "
		end if
		

		
		'remove blank fields
		mySQL = mySQL &	" AND " &pNOTForSQL& " (searchEngine" &pNOTForMySQL& "='') "
		
		mySQL = mySQL &	") "
		
		mySQL = mySQL &	" GROUP BY searchEngine "
		
		if pDataBase="mysql" then
			mySQL = mySQL &	 " ORDER BY pCount DESC " & pTopForMySQL
		else
			mySQL = mySQL &	" ORDER BY Count(searchEngine) DESC "
		end if
		
		'****************************************************
		
		
		'debug only
		'Response.Write(mySQL) & "<br>" 	
		
		
		call getFromDatabase(mySQL, rstemp, "views.asp")
		
		
		for iPeriod=0 to 9 
			gValuesY(iPeriod)=0
		next
		pTotalSumatory=0
		iPeriod=0
		do while not rstemp.EOF
			if iPeriod<10 then
				gValuesY(iPeriod)=cdbl(rstemp("pCount"))
				gValuesX(iPeriod)=iPeriod+1
				gLegends(iPeriod)=rstemp("CountedData")
				
				if gValuesY(iPeriod)>gMaxVal then gMaxVal=gValuesY(iPeriod)
				
			end if
			if not iPeriod>RowCount then
				arrResultsTable(1,iPeriod)=cdbl(rstemp("pCount"))
				arrResultsTable(2,iPeriod)=rstemp("CountedData")
			
				pTotalSumatory=pTotalSumatory+arrResultsTable(1,iPeriod)

				iPeriod=iPeriod+1
			end if
			rstemp.movenext
		loop
		if iPeriod<10 then
			gValuesCount=iPeriod
		end if
		
		RowCount=iPeriod
	

	
' end Get Views for each Period
'*****************************************************



gMaxVal = gMaxVal * 1.15 'make graphic height, x% bigger than the maxval

if gMaxVal = 0 then gMaxVal = 1 'if all values are 0
if RowCount=0 then RowCount=1 'no division by zero
if pTotalSumatory=0 then pTotalSumatory=1

gFirstColor=0
gOrientation=1



%>


<br>
<center>
<h2>Not all search engines are being shown, only Google, Yahoo and MSN,<br> 
Full Power-Stats software license offers an updated list of search engines for registerd users.<br> To track more search engines and keywords, get the full version of <a href="http://www.power-stats.com" title="Get Full Power-Stats">Power-Stats Software</a> </h2>
</center>





<!--#include file="power-stats-inc-DisplayFilterInfo.asp"-->

<!--#include file="power-stats-inc-DisplayMenuDMY.asp"-->

<br>

	<center>
	<table id="tableResults" cellspacing="0" cellpadding="0">
	<tr><td id="tdResultsHeader" colspan="<%=ColCount%>"></td></tr>
	<tr><td id="tdResultsTitle" colspan="<%=ColCount%>">Search Engines Comparative Graphic - Displaying TOP 10 Search Engines - By <%=pGroupName%><br>Views[Avg:<%Response.Write(round(pTotalSumatory/RowCount,0))%> Sum:<%=pTotalSumatory%>]</td></tr>
	<tr><td id="tdResultsSubTitle" colspan="<%=ColCount%>"><%=pSiteName%></td></tr>
	<tr><td id="tdResultsText" colspan="<%=ColCount%>"><br> 
<%


call DrawChartComparative(gW, gH, gLayers, gValuesCount, gMaxVal, gMinVal, gOrientation, gValuesY, gValuesX, gLegends, gFirstColor)


%>
</td></tr>

	<tr><td id="tdResultsFooter" colspan="<%=ColCount%>"></td></tr>
	  
	</table>
	</center>
	

	


<br><br>
	  

		
	<center>
	
	<table id="tableResults" cellspacing="0" cellpadding="0">
	<tr><td id="tdResultsHeader" colspan="<%=ColCount%>"></td></tr>
	<tr><td id="tdResultsTitle" colspan="<%=ColCount%>">Search Engines Report - By <%=pGroupName%> - Displaying <%=RowCount%> Search Engines <br>Views[Avg:<%Response.Write(round(pTotalSumatory/RowCount,0))%> Sum:<%=pTotalSumatory%>]</td></tr>
	<tr><td id="tdResultsSubTitle" colspan="<%=ColCount%>"><%=pSiteName%></td></tr>
	<tr><td id="tdResultsText" colspan="<%=ColCount%>">Comparative report, for Search Engines <br> </td></tr>
	
	<%
		
		
		'Write Column Headers
		Response.Write "<td id='tdResultsColumnHeader'>%</td>"
		Response.Write "<td id='tdResultsColumnHeader'>&nbsp;Count&nbsp;</td>"
		Response.Write "<td id='tdResultsColumnHeader'>  Search Engine </td>"
		
	
				
		tdRow = 1
		for iRow=0 to RowCount-1
			tdRow = tdRow * -1
			Response.Write "<tr>"
			'calculate %
			arrResultsTable(0,iRow)= round(100*arrResultsTable(1,iRow)/pTotalSumatory, 2)
			
			for iCol=0 to ColCount -1
				if iCol=2 then
					arrResultsTable(iCol,iRow)="<a href='power-stats-filter-settingsForm.asp?SearchEngine=" &  server.URLEncode(arrResultsTable(iCol,iRow)& " ") & "' Title='Click to use this Search Engine in the filter'>" & arrResultsTable(iCol,iRow) & "</a>"
				end if
				Response.Write "<td id='tdResultsLine" &tdRow& "'>" & arrResultsTable(iCol,iRow)  & "&nbsp;</td>"
			next
			Response.Write "</tr>"
		next

	%>
	  
	<tr><td id="tdResultsFooter" colspan="<%=ColCount%>"></td></tr>
	  
	</table>
	</center>
	<br><br>  



	
<%
call closeDb()
%>
<!--#include file="power-stats-footer.asp"-->